Submit a ticketCall us

WebinarUpcoming Webinar: Should I Move My Database to the Cloud?

So you’ve been running an on-premises SQL Server® for a while now. Maybe you’ve moved it from bare metal to a VM, and have seen some positive benefits. But, do you want to see more? If you said “YES!”, then this session is for you, as James Serra will review the many benefits that can be gained by moving your on-prem SQL Server to an Azure® VM (IaaS). He’ll also talk about the many hybrid approaches, so you can gradually move to the cloud. If you are interested in cost savings, additional features, ease of use, quick scaling, improved reliability, and ending the days of upgrading hardware, this is the session for you.

Register now.

Home > Success Center > Server & Application Monitor (SAM) > SAM - Knowledgebase Articles > Error when deploying Linux Agent: package architecture (amd64) does not match system (i386)

Error when deploying Linux Agent: package architecture (amd64) does not match system (i386)

Updated October 13, 2016

Overview

When attempting to deploy a Linux Agent to Amazon AMI or Ubuntu Linux Distribution, the following error appears in the web console:

Unexpected error occurred during the Agent deployment and/or installation

 

Upon further investigation on the Orion Server in the log file
C:\ProgramData\SolarWinds\Logs\AgentManagement\AgentManagement.Job_[xxxxx].log,  the following error is thrown:

2016-10-06 14:45:39,402 [STP SmartThreadPool Thread #0] ERROR
SolarWinds.AgentManagement.InstallerUtils.SshDeployment.SshRemoteInstaller -
SshRemoteInstaller.InstallLinuxPackage() : Installing
C:\Solarwinds\Orion\AgentManagement\Installers\LinuxRepository\dists\ubuntu-14\swiagent\binary-amd64\swiagent-1.6.0.1647-756007-ubuntu-14.4-x64.deb, filename swiagent, status : [false], output : [dpkg: error processing archive /home/cdsadmin/.swtemp/swiagent-1.6.0.1647-756007-ubuntu-14.4-x64.deb (--install):
package architecture (amd64) does not match system (i386)
Errors were encountered while processing:
/home/root/.swtemp/swiagent-1.6.0.1647-756007-ubuntu-14.4-x64.deb
1]      

Environment

  • Server & Application Monitor v6.3 and later
  • Ubuntu 14 32-bit
  • Amazon AMI 32-bit

Cause 

There is an attempted installation of a Linux Agent on an unsupported Linux Distribution. For Amazon AMI and Ubuntu 14, we support 64-bit only.

All the requirements can be found in the following document: Agent Requirements.

Resolution

As the Linux Distribution is not supported, the only way to monitor the Linux Machine is via SNMP and using SSH in conjunction with SAM templates.

The other option would be to utilize a 64-bit Amazon AMI and Ubuntu in your environment which support the SolarWinds Agents.

 

Last modified

Tags

Classifications

Public